Bug 141765 - Drawing Object Properties toolbar is slightly taller
Summary: Drawing Object Properties toolbar is slightly taller
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.4 target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-04-20 01:40 UTC by Aron Budea
Modified: 2021-04-21 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-04-20 01:40:44 UTC
- Add a shape to the document.
- Click on and away from the shape.

=> The second toolbar (normally Formatting, and Drawing Object Properties when the shape is selected) slightly expands/contracts when the shape is selected/deselected.

Observed using LO 7.2.0.0.alpha0+ (5348b3946b8f2b9581cdd8b40fa774c2a9d23868) & 7.0.0.3 / Ubuntu. Fine in Windows.
No such change in 6.4.0.3. => regression

Bibisected to the following commit using repo bibisect-linux-64-7.0. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c01bbab45eb16356d345ae2f6bfd6a864dd59e1
author		Caolán McNamara <caolanm@redhat.com>	2020-02-10 11:36:53 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-02-11 12:28:19 +0100

weld FillControl item window
Comment 1 Caolán McNamara 2021-04-21 13:01:42 UTC
The "color" GtkToolbar preferred height is the height that is the tall one causing the problem.
Comment 2 Aron Budea 2021-04-21 17:28:23 UTC
Thanks for the patch, Caolán! I can confirm it fixes the issue with GTK3 VCL plugin. 

I can still see a bit of movement with gen, but considering it's only used as a fallback for testing, I presume that isn't worth pursuing.
Comment 3 Commit Notification 2021-04-21 18:40:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/1401037556607ef0b7977f48dc203c328e757528

Resolves: tdf#141765 set 'color' GtkToolbar to small-button size

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-04-21 18:40:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8cc1c2b1eaf14eff79fe0940e5c91c7630fe5bff

Resolves: tdf#141765 set 'color' GtkToolbar to small-button size

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.